## since 0.3

=== Makefile ===
###########################################################################
# Files ###################################################################

NAME      = since
VERSION   = 0.3
SRC       = $(NAME).c
OBJ       = $(NAME).o
TARGET    = $(NAME)
MAN       = $(NAME).1
ARCHIVE   = $(NAME)-$(VERSION).tar.gz
LSM       = $(NAME)-$(VERSION).lsm

INTARGET  = /usr/local/bin/$(TARGET)
INMAN     = /usr/local/man/man1/$(MAN)

###########################################################################
# Compiler and Flags ######################################################

CC        = gcc
CFLAGS    = -Wall -O2 -fomit-frame-pointer -DVERSION=\"$(VERSION)\"
STRIP     = strip

#CFLAGS   += -DTRACE
#CFLAGS   += -g
#CFLAGS   += -pg

###########################################################################
# Auxillary Programs ######################################################

RM        = rm -f
INSTALL   = install -c
LINK      = ln -s
TOUCH     = touch
TAR       = tar
MKLSM     = ./mklsm

###########################################################################
# Generic build all #######################################################

all : $(TARGET)

###########################################################################
# Install #################################################################

install : $(TARGET)
	$(INSTALL) -m 0755 $(TARGET) $(INTARGET)
	$(INSTALL) -m 0644 $(MAN) $(INMAN)

###########################################################################
# Build since executable ##################################################

$(TARGET) : $(OBJ)
	$(CC) $(CFLAGS) $(OBJ) -o $(TARGET)
	$(STRIP) $(TARGET)

###########################################################################
# Build object files from source ##########################################

.c.o :
	$(CC) $(CFLAGS) -c $*.c

###########################################################################
# Generate a package ready for distribution ###############################

package :
	$(TOUCH) $(SRC)
	$(RM) $(NAME)-$(VERSION)
	$(LINK) . $(NAME)-$(VERSION)
	$(TAR) czvf $(ARCHIVE) $(NAME)-$(VERSION)/{$(SRC),$(MAN),$(TARGET),Makefile,README,INSTALL,COPYING}
	$(MKLSM) $(NAME) $(VERSION)

###########################################################################
# Remove intermediate files ###############################################

clean : 
	$(RM) *.o core $(NAME)-$(VERSION)

reallyclean : clean
	$(RM) $(TARGET) $(ARCHIVE)
