=== debian/control ===
Source: since
Section: text
Priority: optional
Maintainer: Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 9~)
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/since.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/since.git
Homepage: http://welz.org.za/projects/since
Testsuite: autopkgtest

Package: since
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tail(1) work-alike that saves and uses state information
 since is a tail(1) work-alike that remembers how much of a file
 you have viewed and displays only what's new when you next view
 that file. Ideal for viewing log files (it'll only show what's
 new in the file since the last time it was run).
