=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_test:
	rm -rf debian/testtmp
	mkdir debian/testtmp
	env PATH=$(CURDIR):$(PATH) ADTTMP=$(CURDIR)/debian/testtmp debian/tests/simple
	rm -rf debian/testtmp

# Deliberately empty targets
override_dh_auto_install:
