=== debian/tests/control ===
Tests: simple
Depends: since

Tests: adequate
Depends: since, adequate
